WordDive can be used with any PC (Windows, Mac or Linux) connected to the Internet. The supported browsers are

  • Google Chrome, version 16 or newer
  • Mozilla Firefox, version 8 or newer
  • Apple Safari, version 5 or newer


In general, newer versions of a browser work better, excluding possible beta releases.


You can also use a WordDive mobile app if you have an Android or iOS device connected to the Internet. The technical requirements are

  • Android 4.1 or newer
  • iOS 8.0 or newer


Download the Android app:


Download the iOS app: